<html>
<head>
<title>Ogre::RaySceneQueryResultEntry Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html">RaySceneQueryResultEntry</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::RaySceneQueryResultEntry Struct Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::RaySceneQueryResultEntry" -->
<p>This struct allows a single comparison of result data no matter what the type.  
 <a href="structOgre_1_1RaySceneQueryResultEntry.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>&gt;</code></p>

<p><a href="structOgre_1_1RaySceneQueryResultEntry-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#a34a0b8081991ce12025445ae35117ca6">operator&lt;</a> (const <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html">RaySceneQueryResultEntry</a> &amp;rhs) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparison operator for sorting.  <a href="#a34a0b8081991ce12025445ae35117ca6"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#af3e8eed523c4215c5733a9886db7ec29">distance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Distance along the ray.  <a href="#af3e8eed523c4215c5733a9886db7ec29"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#a58ba184768924a39ab195dcf96472f65">movable</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The movable, or NULL if this is not a movable result.  <a href="#a58ba184768924a39ab195dcf96472f65"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#acc6655f373532d7b9d3017acab7535a9">worldFragment</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The world fragment, or NULL if this is not a fragment result.  <a href="#acc6655f373532d7b9d3017acab7535a9"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This struct allows a single comparison of result data no matter what the type. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00357">357</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a34a0b8081991ce12025445ae35117ca6"></a><!-- doxytag: member="Ogre::RaySceneQueryResultEntry::operator&lt;" ref="a34a0b8081991ce12025445ae35117ca6" args="(const RaySceneQueryResultEntry &amp;rhs) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::RaySceneQueryResultEntry::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html">RaySceneQueryResultEntry</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Comparison operator for sorting. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00366">366</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

<p>References <a class="el" href="OgreSceneQuery_8h_source.html#l00360">distance</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="af3e8eed523c4215c5733a9886db7ec29"></a><!-- doxytag: member="Ogre::RaySceneQueryResultEntry::distance" ref="af3e8eed523c4215c5733a9886db7ec29" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#af3e8eed523c4215c5733a9886db7ec29">Ogre::RaySceneQueryResultEntry::distance</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Distance along the ray. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00360">360</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSceneQuery_8h_source.html#l00366">operator&lt;()</a>.</p>

</div>
</div>
<a class="anchor" id="a58ba184768924a39ab195dcf96472f65"></a><!-- doxytag: member="Ogre::RaySceneQueryResultEntry::movable" ref="a58ba184768924a39ab195dcf96472f65" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MovableObject.html">MovableObject</a>* <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#a58ba184768924a39ab195dcf96472f65">Ogre::RaySceneQueryResultEntry::movable</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The movable, or NULL if this is not a movable result. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00362">362</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc6655f373532d7b9d3017acab7535a9"></a><!-- doxytag: member="Ogre::RaySceneQueryResultEntry::worldFragment" ref="acc6655f373532d7b9d3017acab7535a9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">SceneQuery::WorldFragment</a>* <a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html#acc6655f373532d7b9d3017acab7535a9">Ogre::RaySceneQueryResultEntry::worldFragment</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The world fragment, or NULL if this is not a fragment result. </p>

<p>Definition at line <a class="el" href="OgreSceneQuery_8h_source.html#l00364">364</a> of file <a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneQuery_8h_source.html">OgreSceneQuery.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
